/////////////////////////////////////////////////////////////////////////////
// MySplitterWnd.cpp

#include "StdAfx.h"
#include "MySplitterWnd.h"

#define FOCUS_HILIGHT_COLOR_ULO RGB(180, 75, 25)
#define FOCUS_HILIGHT_COLOR_LRO RGB(245, 5, 25)
#define FOCUS_HILIGHT_COLOR_ULI RGB(145, 95, 75)
#define FOCUS_HILIGHT_COLOR_LRI RGB(220, 65, 40)

#define FOCUS_HILIGHT_SHOW TRUE

#define SPLITTER_CX 4
#define SPLITTER_CY 4
#define SPLITTER_GAPX 4
#define SPLITTER_GAPY 4

void MySplitterWnd::RefreshSplitBars(void)
{
    CRect rectInside;

    GetInsideRect(rectInside);
    DrawAllSplitBars(NULL, rectInside.right, rectInside.bottom);
}

MySplitterWnd::MySplitterWnd()
{
    cRow = 0;
    cCol = 0;

    m_cxSplitter = SPLITTER_CX;
    m_cySplitter = SPLITTER_CY;
    m_cxSplitterGap = SPLITTER_GAPX;
    m_cySplitterGap = SPLITTER_GAPY;
}

void MySplitterWnd::OnDrawSplitter(CDC* pDC, ESplitType nType,
                                   const CRect& rectArg)
{
    if ((FOCUS_HILIGHT_SHOW) && ((GetRowCount() > 1) || 
        (GetColumnCount() > 1)) && (nType == splitBorder))
    {
        int pRow = 0;
        int pCol = 0;
        if (rectArg.top)
        {
            pRow = 1;
        }
        if (rectArg.left)
        {
            pCol = 1;
        }
        if ((cRow == pRow) && (cCol == pCol))
        {
            if (pDC == NULL)
            {
                RedrawWindow(rectArg, NULL, RDW_INVALIDATE|RDW_NOCHILDREN);
                return;
            }
            ASSERT_VALID(pDC);
            CRect rect = rectArg;
            pDC->Draw3dRect(rect, 
                FOCUS_HILIGHT_COLOR_ULO, FOCUS_HILIGHT_COLOR_LRO);
            rect.InflateRect(-GetSystemMetrics(SM_CXBORDER), 
                             -GetSystemMetrics(SM_CYBORDER));
            pDC->Draw3dRect(rect,
                FOCUS_HILIGHT_COLOR_ULI, FOCUS_HILIGHT_COLOR_LRI);
            return; 
        }
    }

    CSplitterWnd::OnDrawSplitter(pDC,nType,rectArg); 
}
